Bug 155482 - new port: science/h5utils --- utilities for visualization and conversion of HDF5 format
Summary: new port: science/h5utils --- utilities for visualization and conversion of H...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-11 21:40 UTC by Klaus Aehlig
Modified: 2011-03-18 19:50 UTC (History)
0 users

See Also:


Attachments
h5utils.shar (3.25 KB, text/plain)
2011-03-11 21:40 UTC, Klaus Aehlig
no flags Details
libmatheval-diff.txt (2.26 KB, text/plain)
2011-03-13 01:05 UTC, Steve Wills
no flags Details
h5utils_shar2.txt (3.16 KB, text/plain)
2011-03-13 01:05 UTC, Steve Wills
no flags Details
libmatheval-diff.txt.sig (287 bytes, application/octet-stream)
2011-03-13 01:05 UTC, Steve Wills
no flags Details
h5utils_shar2.txt.sig (287 bytes, application/octet-stream)
2011-03-13 01:05 UTC, Steve Wills
no flags Details
h5utils_shar3.txt (3.16 KB, text/plain)
2011-03-13 14:44 UTC, Steve Wills
no flags Details
h5utils_shar3.txt.sig (287 bytes, application/octet-stream)
2011-03-13 14:44 UTC, Steve Wills
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Klaus Aehlig 2011-03-11 21:40:08 UTC
h5utils is a set of utilities for visualization and conversion of 
scientific data in the free, portable HDF5 format.

Besides providing a simple tool for batch visualization as PNG images, 
h5utils also includes programs to convert HDF5 datasets into the formats 
required by other free visualization software (e.g. plain text, Vis5d, 
and VTK).

WWW: http://ab-initio.mit.edu/wiki/index.php/H5utils
How-To-Repeat:
Comment 1 Steve Wills freebsd_committer 2011-03-12 16:22:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 2 Steve Wills freebsd_committer 2011-03-13 01:05:21 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

Why not depend on newer science/hdf5-18 ?

If you're OK with that, the attached version does that, and along with a
patch to devel/libmatheval, the plist can be the same everywhere. What
do you think?

Thanks,
Steve
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.16 (FreeBSD)

iQEcBAEBAgAGBQJNfBhRAAoJEPXPYrMgexuhYZEH/1Mc6BzbDbweohp1H7K0Dn2T
rZUq2ygi5BXwvvP7YIK7bpRQwOfiG+GwEPKcHQCpwoxi44wkuDneP+8ekFcuXOIK
WvicJltVSWHO4QjS5Fjxd2hTJKxFVn4UyY6rqRQA4YS9Nyxm3wwXGQ4pCzjxO0e2
MLdhFN2eqJBj++PqmpoYVpA109stk8reFAl7kq/IDX+eo3E/0rMqyirai11G+KRw
IVNohwt+ayCd8y7FsRvQx0TShvs+qZ2iqjaX3RybALuSknwscPhqHb7FASxvEulE
DJpZRGnDcwZSbEBrkPjcGPvaTiswTtqQ4jwmMXawN2DaGkSEF46ZrhWJKk9ygFc=
=QF8q
-----END PGP SIGNATURE-----
Comment 3 Klaus Aehlig 2011-03-13 07:51:53 UTC
Hi,

> Why not depend on newer science/hdf5-18 ?

On the one hand, because the source code expliclty mentions 

|
| /* don't use new HDF5 1.8 API (which isn't even fully documented yet, grrr) */
| #define H5_USE_16_API 1
|

However, the more important reason is, that I want to use h5utils
in conjunction with science/meep (use meep to generate hdf5 files 
and use h5utils to visualise them). But meep explicitly depends on 
the old science/hdf5 library which CONFLICTS hdf5-1.8.*; so, if I 
made h5utils depend on science/hdf5-18, it wouldn't be possible to 
install both at the same time. But that's precisely what I need. 

What about mentioning the dependency as

  hdf5:${PORTSDIR}/science/hdf5

i.e., build against whatever version of libhdf5 present, but as a default
pull the one compatible with meep?

> with a patch to devel/libmatheval, the plist can be the same everywhere. 
> What do you think?

I think that fixing devel/libmatheval and making h5utils depend on it (and hence 
the plist more static) is a great idea. Thank you for fixing it!

Thanks for taking care of the suggested port,
Klaus
Comment 4 Steve Wills freebsd_committer 2011-03-13 14:44:09 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 03/13/11 03:51, Klaus T. Aehlig wrote:
> 
> Hi,
> 
>> Why not depend on newer science/hdf5-18 ?
> 
> On the one hand, because the source code expliclty mentions 
> 
> |
> | /* don't use new HDF5 1.8 API (which isn't even fully documented yet, grrr) */
> | #define H5_USE_16_API 1
> |
> 
> However, the more important reason is, that I want to use h5utils
> in conjunction with science/meep (use meep to generate hdf5 files 
> and use h5utils to visualise them). But meep explicitly depends on 
> the old science/hdf5 library which CONFLICTS hdf5-1.8.*; so, if I 
> made h5utils depend on science/hdf5-18, it wouldn't be possible to 
> install both at the same time. But that's precisely what I need. 

Ah, that makes sense, thanks for the info.

> What about mentioning the dependency as
> 
>   hdf5:${PORTSDIR}/science/hdf5
> 
> i.e., build against whatever version of libhdf5 present, but as a default
> pull the one compatible with meep?

Sounds good to me.

>> with a patch to devel/libmatheval, the plist can be the same everywhere. 
>> What do you think?
> 
> I think that fixing devel/libmatheval and making h5utils depend on it (and hence 
> the plist more static) is a great idea. Thank you for fixing it!
> 
> Thanks for taking care of the suggested port,
> Klaus

Ok, the PR for that is ports/155529. I've attached an updated shar which
has the dependency change you suggested above. If this all looks good to
you, then once the devel/libmatheval update is committed, I'll commit
the attached shar.

Steve
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.16 (FreeBSD)

iQEcBAEBAgAGBQJNfNg4AAoJEPXPYrMgexuhIQ8H/1GXmPc1PThZBEFpyoHJTDRE
KfzMOVYUBEX8/rH6Z7e8f1J2ysGdyCQS/D9gP9mixVaChOcPYFC8AEexOy/wm+tG
/K0Xfkq6LBGcy1Jw4O4yNNThzA9ficUYiEvevYP9vps6oVMcOP1RW5FMv8Z1A+q8
I09WnmbUkS3JjR5b8/qFBWD7rUV6vAGkBmtyvv+sRPFgEAgB2biy5ZcdG/lyCt1I
NXDKs4hbh/TrV+PDhQdwmjbQ/sdLdTq8WnWqTVUNxK2nYedz8N0iF7UNkm7Y3/ZQ
5K6FXSSN+9i6zFXGdrk9BkP+rrYSL4tOnQtQH1VP7QB1OJewmd1WfmzOL/7GeIc=
=2DTS
-----END PGP SIGNATURE-----
Comment 5 Klaus Aehlig 2011-03-13 16:01:27 UTC
> Ok, the PR for that is ports/155529. 

Thanks a lot!

> I've attached an updated shar which has the dependency change 
> you suggested above.

Thank you.

> If this all looks good to you, then once the devel/libmatheval update 
> is committed, I'll commit the attached shar.

Yes, that looks good to me. Thanks again for your effort!

Best,
Klaus
Comment 6 dfilter service freebsd_committer 2011-03-18 19:42:56 UTC
swills      2011-03-18 19:42:35 UTC

  FreeBSD ports repository

  Modified files:
    science              Makefile 
  Added files:
    science/h5utils      Makefile distinfo pkg-descr pkg-plist 
  Log:
  h5utils is a set of utilities for visualization and conversion of
  scientific data in the free, portable HDF5 format.
  
  Besides providing a simple tool for batch visualization as PNG images,
  h5utils also includes programs to convert HDF5 datasets into the formats
  required by other free visualization software (e.g. plain text, Vis5d,
  and VTK).
  
  WWW: http://ab-initio.mit.edu/wiki/index.php/H5utils
  
  PR:             ports/155482
  Submitted by:   Klaus Aehlig <aehlig at linta.de>
  
  Revision  Changes    Path
  1.210     +1 -0      ports/science/Makefile
  1.1       +28 -0     ports/science/h5utils/Makefile (new)
  1.1       +2 -0      ports/science/h5utils/distinfo (new)
  1.1       +9 -0      ports/science/h5utils/pkg-descr (new)
  1.1       +31 -0     ports/science/h5utils/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Steve Wills freebsd_committer 2011-03-18 19:43:09 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!